1.1
1.1
get /v1/hosted-zones/{hosted_zone_id}/records
Description
Get recordset list in a hosted zone
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | hosted_zone_id required | Id Example : | string | None |
| query | limit optional | limit Example : | any of [integer, null] | None |
| query | marker optional | marker Example : | any of [string, null] | None |
| query | sort_dir optional | sort direction Example : | any of [string, null] | None |
| query | sort_key optional | sort key Example : | any of [string, null] | None |
| query | name optional | name Example : | any of [string, null] | None |
| query | exact_name optional | name Example : | any of [string, null] | None |
| query | type optional | Type of the record Example : | any of [string, null] | None |
| query | data optional | Record data Example : | any of [string, null] | None |
| query | status optional | The status Example : | any of [string, null] | None |
| query | description optional | description Example : | any of [string, null] | None |
| query | ttl optional | TTL for the zone. Example : | any of [integer, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | RecordListResponse |
Example HTTP request
Request path
/v1/hosted-zones/{hosted_zone_id}/records
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.1"
Example HTTP response
Response 200
{
"count": 20,
"links": "",
"metadata": "",
"records": [
{
"action": "",
"created_at": "",
"description": "",
"id": "",
"links": "",
"name": "",
"project_id": "",
"records": [
""
],
"status": "",
"ttl": "",
"type": "",
"updated_at": "",
"version": "",
"zone_id": "",
"zone_name": ""
}
]
}